#
# spec file for package xfdesktop
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           xfdesktop
Version:        4.8.1
Release:        3.9.1
License:        GPLv2+
Summary:        Desktop manager for the Xfce Desktop Environment
Url:            http://www.xfce.org/projects/xfdesktop/
Group:          System/GUI/XFCE
Source0:        %{name}-%{version}.tar.bz2
Source1:        xfce4-desktop.xml
# PATCH-FIX-UPSTREAM xfdesktop-fix-slow-popup-menu.patch bnc#669768 bxo#7172 gber@opensuse.org -- Adds a check for GDK_GRAB_INVALID_TIME in xfdesktop_popup_grab_available to mitigate slow menu popups on a right mouse click (backported from upstream git)
Patch0:         xfdesktop-fix-slow-popup-menu.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(garcon-1)
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(thunarx-2)
BuildRequires:  pkgconfig(libxfconf-0)
BuildRequires:  update-desktop-files
Requires:       %{name}-branding >= %{version}
Provides:       xfce4-desktop = %{version}
Obsoletes:      xfce4-desktop < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xfdesktop is a desktop manager for the Xfce Desktop Environment which can set
the background image, provides a right-click menu to launch applications and
can optionally show files (including application launchers) or iconified
windows, includes gradient support for background color, saturation support for
background images, as well as real multiscreen and xinerama support.

%package branding-upstream
License:        GPLv2+
Summary:        Upstream branding of xfce4-settings
# BRAND: xfce4-desktop.xml: Control desktop appearance such as the default
# BRAND: backdrop image.
Conflicts:      otherproviders(%{name}-branding)
Provides:       %{name}-branding = %{version}
Provides:       xfce4-desktop-branding-upstream = %{version}
Obsoletes:      xfce4-desktop-branding-upstream < %{version}
Supplements:    packageand(%{name}:branding-upstream)
BuildArch:      noarch

%description branding-upstream
This package provides the upstream look and feel for the Xfce Desktop Manager.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure --docdir=%{_defaultdocdir}/%{name}
make %{?_smp_mflags} V=1

%install
%make_install
install -D -p -m 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml
install -p -m 644 README COPYING AUTHORS ChangeLog INSTALL TODO \
    %{buildroot}/%{_defaultdocdir}/%{name}
%suse_update_desktop_file xfce-backdrop-settings
rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}
%find_lang %{name}
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%if 0%{?suse_version} >= 1140

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%{_bindir}/xfdesktop
%{_bindir}/xfdesktop-settings
%{_datadir}/applications/xfce-backdrop-settings.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_mandir}/man1/xfdesktop.1.gz
%{_datadir}/pixmaps/xfdesktop
%{_datadir}/xfce4/backdrops

%files branding-upstream
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml

%changelog
* Thu Apr 12 2012 gber@opensuse.org
- added xfdesktop-fix-slow-popup-menu.patch which adds a check for
  GDK_GRAB_INVALID_TIME in xfdesktop_popup_grab_available to
  mitigate slow menu popups on a right mouse click (bnc#669768,
  bxo#7172)
* Fri Feb 18 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Thu Feb  3 2011 gber@opensuse.org
- update to version 4.8.1
  - bugfixes
  - translation updates
- dropped obsolete xfdesktop-4.8.0-fix-volume-change-handling.patch
  and xfdesktop-4.8.0-show-name-of-desktop-files.patch
* Wed Jan 26 2011 gber@opensuse.org
- add xfdesktop-4.8.0-fix-volume-change-handling.patch from
  upstream git in order to work around an issue with GIO or GVfs
  which causes mounting/unmounting on a volume-changed signal to
  fail
* Sat Jan 22 2011 gber@opensuse.org
- added xfdesktop-4.8.0-show-name-of-desktop-files.patch so that
  the Name field of desktop files is shown rather than the filename
* Mon Jan 17 2011 gber@opensuse.org
- update to version 4.8.0
  * optimized backdrops
  * removed flower backdrop
* Wed Jan  5 2011 gber@opensuse.org
- added -branding-upstream subpackage
- obsoleted xfce4-desktop branding which is now provided by
  xfdesktop-branding
* Tue Dec 28 2010 gber@opensuse.org
- show compiler output
- do not install documentation in /usr/share/doc
- improved description
* Sun Dec  5 2010 prusnak@opensuse.org
- updated to 4.7.4
  * Add checks for an API change in libnotify 0.7.0 (bug #6915).
  * Avoid GTK+ 2.18 and GIO 2.20 function calls (or at least guard them
    so that xfdesktop still builds with older versions).
  * Let garcon choose the default applications menu file using
    XDG_MENU_PREFIX. Drop the UserMenu kiosk option as the panel
    sort of allows to bypass it anyway.
- updated to 4.7.3
  * Fix a crash caused by accessing the wrong variable when adding
    items to the right-click menu.
  * Select the correct icon style in the desktop settings on first
    start (bug #6798).
  * Depend on libwnck >= 2.22 so we no longer have to implement hacks
    for the two different "active-workspace-changed" signal variants
    in libwnck (bug #6638).
  * Add menu item monitoring.
  * Fix critical when session manager is not running (bug #6822).
  * Remove checks for older GLib/GTK+ versions that are no longer needed.
  * Allow workspace names that start with a number (bug #6318).
  * Delay notification initialization until we show one.
  * Set the correct session priority.
  * Do not call gtk_widget_show() on menus (bug #6198).
  * Translation updates: gl, ca, de, it, kk, fi, sk, pt, uk, el,
    zh_TW, da, id, eu, hu, lt.
* Fri Dec  3 2010 gber@opensuse.org
- do not require xfce-utils
* Wed Dec  1 2010 prusnak@opensuse.org
- use pkgconfig symbol in BuildRequires
* Fri Nov 26 2010 andrea@opensuse.org
- renamed package to xfdesktop to follow upstream
- updated to version 4.7.2
* Sun Jul 18 2010 bernhard@bwalle.de
- updated to 4.6.2
  == xfdesktop
  o Build fixes for GIT.
  o Rebuild doc directory.
  o Add libexo to CFLAGS and LIBS for panel plugin.
  o Fix detection of rename/delete ability.
  o Fix compilation when libexo isn't present.
  o Update icon text labels when system font size changes (bug #2862).
  o Set mnemonic widget properly for icon type/size labels (bug #5555).
  o Always show 'Eject' in volume context menus, regardless of whether
    or not it's mounted (bug #5343).
  o Never show 'Unmount' in volume context menus.
  o Use GtkBindingSet for keyboard handling on desktop.
  o Only register menu with panel if popup succeeded (bug #5792).
  o Fix inability to delete broken symlinks on the desktop (bug 5387).
  o Don't misuse the g_return_(val_)?if_fail() macros as much (bug #5791).
  o Translation updates (el, es, gl, it, pl, pt, ru, tr, ro, lv, ca,
    ur, ur_PK, hu, ast, da, sk, nn, nl, si, am, kk, ja, ug, fr).
  == xfce-utils
  o Build fixes for GIT.
  o Fix make distcheck.
  o Translation updates (es, gl, pl, ro, lv, ur, ur_PK, hu, ast, ru,
    it, ta, nl, kk, nb_IN, sk, ug).
* Tue Jun 15 2010 bernhard@bwalle.de
- Fix xfce-utils-cpp.patch to patch also the '*.in' files.
* Thu Mar 18 2010 prusnak@suse.cz
- build branding subpackage as noarch
* Tue Jul 21 2009 dominique-obs@leuenberger.net
- Use libexecdir instead of libdir where appropriate
* Tue Apr 21 2009 prusnak@suse.cz
- updated to 4.6.1
  == xfdesktop
  * Fix desktop menu failing to load on FreeBSD (bug 3370).
  * Ensure root window properties get deleted when xfdesktop
    quits (bug 5154).
  * Reload the backdrop and icon view when 'xfdesktop --reload'
    is run (bug 5156).
  * Make default button in 'delete multiple' dialog consistent with
    default in 'delete single' dialog (bug 5140).
  * Reload the desktop when the first image is added to an image
    list (bug 5001).
  * Auto-select new images as they are added to the settings dialog's
    image list (bug 5014).
  == xfce-utils
  - Reset icon theme name if the migrated icon theme name (possibly 'Rodent')
  doesn't exist anymore.
  - Remove a bash-ishm ('source') from xinitrc.
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 4.6.0 (Xfce 4.6.0 release)
* Tue Nov 18 2008 pnemec@suse.cz
- call update_desktop_file macro on desktop files [bnc#445722]
* Wed Oct 29 2008 bwalle@suse.de
- update to xfdesktop 4.4.3
  o Make menu panel plugin honor CustomizeDesktopMenu kiosk setting
  o Fix incorrect initial desktop font size when setting custom
    font size if a custom font was never set before
- update to xfce-utils 4.4.3
  o Fix missing translated chars
- drop xfdesktop-relocation-and-memleak.patch: mainline
* Mon Oct 13 2008 bwalle@suse.de
- Use the right patchlevel.
* Wed Oct  8 2008 bwalle@suse.de
- Fix compiler warning (bnc#433391).
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Fri Aug  1 2008 prusnak@suse.cz
- fixed relocation and memleak (relocation-and-memleak.patch)
- do not show YaST modules in Xfce menu - workaround for [bnc#393955]
  (no-yast-desktop-files.patch)
* Mon Jul 28 2008 prusnak@suse.cz
- moved /etc/xdg/xfce4/desktop/menu.xml.* to branding subpackage
* Tue Apr 29 2008 prusnak@suse.cz
- moved backdrops to %%{_datadir}/wallpapers
- split upstream backdrops to xfce4-desktop-branding-upstream
* Sun Mar 16 2008 crrodriguez@suse.de
- fix file-not-in-lang rpmlint warnings
* Wed Dec 12 2007 prusnak@suse.cz
- correct eject function (xfdesktop-eject.patch)
* Mon Dec  3 2007 bwalle@suse.de
- update to xfdesktop 4.4.2
  o Fixed the Italian xfdesktop menu causing a crash.
  o Fix missing xfce_rc_close() causing memleak and too many open
    file descriptors
  o Always use button 0 in gtk_menu_popup() as GTK+ 2.11+ expects
    the same button to be pressed or it doesn't activate the entry
  o Fix menu sometimes not popping up when using the keyboard
    shortcut, again. Timeout waiting for grab is now 0.25s
  o Fix desktop settings only getting applied to the first screen in
    non-Xinerama dualhead setups
  o Fix spurious drag when double-clicking a volume icon that fails
    to mount
  o Clean out stale entries in icon position file
  o Some minor memory leak fixes (some still remain, likely).
  o Fix --disable-menu-editor configure option.
- update to xfce-utils 4.4.2
  o Put back a default DPI value for Xorg
  o Use gnome-screensaver if xscreensaver is not available
  o Fix typo on XDG_DATA_DIRS path definition
  o Updated credits in the about dialog.
  o Updated and new translations
* Mon Aug 13 2007 bwalle@suse.de
- fixed problem that menu doesn't start applications from desktop
  with gtk+-2.11.x (Xfce Bug #3359)
* Sat Jun 23 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/Xfce'
* Fri Jun  8 2007 bwalle@suse.de
- remove /usr/share/apps/switchdesk/Xclients.xfce4
* Tue May 22 2007 prusnak@suse.cz
- sync with BuildService
* Tue Apr 10 2007 bwalle@suse.de
- update to 4.4.1
  o Fix entries in the menu.xml files that should not have been
    translated.
  o Remove use of __FUNCTION__ as it breaks sun's compiler.
  o Blurry rendering of unscaled backgrounds.
  o Unescape %% characters in the uri.
  o Many translation updates.
* Mon Mar  5 2007 pnemec@suse.cz
- remove /usr/share/xsessions from file section [#229172]
* Thu Feb  1 2007 prusnak@suse.cz
- removed duplicate copyright header from spec file [#238045]
- removed sessions for display managers in /etc
  (SUSE uses only /usr/share/xsessions)
* Sun Jan 21 2007 bwalle@suse.de
- upgraded to 4.4.0
* Mon Mar 27 2006 pnemec@suse.cz
- added patch to autogenerate menu, temporary for 4.2.3 (#159376)
* Tue Feb 14 2006 pnemec@suse.cz
- change Mozilla to MozillaFirefox in panel
* Wed Feb  8 2006 pnemec@suse.cz
- added xfce4-session and xfwm to requires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 pnemec@suse.cz
- fixed mistyped spec file
* Mon Jan 16 2006 pnemec@suse.cz
- update to 4.2.3
* Tue Nov 15 2005 pnemec@suse.cz
- added xfce4-panel-devel to need for build
* Thu Sep  8 2005 cthiel@suse.de
- unset SESSION_MANAGER before starting $xfcesm (#115360)
* Mon Aug  1 2005 cthiel@suse.de
- fixed Requires
* Wed May 18 2005 cthiel@suse.de
- update to 4.2.2
* Thu May  5 2005 cthiel@suse.de
- really activate default background patch
* Mon Apr 11 2005 cthiel@suse.de
- update to 4.2.1
- changed default background
* Thu Nov  4 2004 mmj@suse.de
- locale rename: no -> nb
* Mon May 17 2004 ltinkl@suse.cz
- initial version
